Bug 64797 - sar -u (pulling from /var/log/sa/sa*) is incorrect
Summary: sar -u (pulling from /var/log/sa/sa*) is incorrect
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sysstat (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-05-11 00:50 UTC by Need Real Name
Modified: 2007-04-18 16:42 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-06-17 21:36:37 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Need Real Name 2002-05-11 00:50:21 UTC
Description of Problem:
Running "sar -u" and pulling data from the current sa data file will some times
list %user, %nice, and %system ALL being over 100% and idle being 0%. This of
course the system average as well. 

Version-Release number of selected component (if applicable):
sysstat-4.0.3-1.i386.rpm

How Reproducible:
Not sure, let system collect data over a day - my system is fairly idle
and then try display the day's sar processor time (sar -u)

Steps to Reproduce:
1. leave system up for a day
2. run sar -u
3. 

Actual Results:


Expected Results:
Values for %user, %nice, and %system that added to 100% not were each over a 
100%. Also, average values that make sense as well.

Additional Information:
Here is output from sar -u

...
05:50:00 PM       all      0.06      0.00      0.03     99.91
06:00:00 PM       all      0.06      0.00      0.03     99.91
06:10:00 PM       all      0.07      0.01      0.05     99.87
06:20:00 PM       all      0.07      0.00      0.02     99.91
06:30:00 PM       all      0.91      0.00      0.82     98.26
06:40:00 PM       all      0.54      0.00      0.42     99.04
06:50:00 PM       all      0.01      0.00      0.01     99.99
07:00:01 PM       all      0.01      0.00      0.01     99.98

07:00:01 PM       CPU     %user     %nice   %system     %idle
07:10:00 PM       all      0.01      0.00      0.01     99.97
07:20:00 PM       all      0.48      0.00      0.39     99.13
07:50:00 PM       all    101.64    101.64    101.64      0.00
08:00:00 PM       all      0.06      0.00      0.05     99.89
08:10:00 PM       all      0.06      0.00      0.03     99.91
08:20:00 PM       all      0.11      0.00      0.10     99.79
08:30:00 PM       all      0.05      0.00      0.04     99.90
08:40:01 PM       all      0.13      0.00      0.10     99.78
08:50:00 PM       all      0.98      0.00      0.57     98.45
Average:          all    101.47    101.47    101.47      0.00
 
[root@malibu sa]# uname -a
Linux malibu 2.4.9-21 #1 Thu Jan 17 13:35:24 EST 2002 i586 unknown

Comment 1 Trond Eivind Glomsrxd 2002-06-17 21:36:29 UTC
Still a problem with 4.0.5-1 from http://people.redhat.com/teg/sysstat/ ?

Comment 2 Need Real Name 2002-06-19 19:59:54 UTC
I installed that new version and it looks OK but I haven't used that system heavily
but you can assume for now that it is fixed.



Note You need to log in before you can comment on or make changes to this bug.